Subject: openbsc.git branch master updated. 0.13.0-273-gcaae10b
From: [email-masked]
To: [email-masked]
Date: Thu, 16 Jan 2014 19:49:38 GMT

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The OpenBSC GSM Base Station Controller (+MSC/HLR/SGSN)".

The branch, master has been updated
       via  caae10b71fb0ee752e199ccdc57dbede99db7c89 (commit)
      from  fbb1c8f6fe3f8e61ae63d25d6c670c1b789f3463 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://cgit.osmocom.org/openbsc/commit/?id=caae10b71fb0ee752e199ccdc57dbede99db7c89

commit caae10b71fb0ee752e199ccdc57dbede99db7c89
Author: Andreas Eversberg <[email-masked]>
Date:   Thu Jan 16 16:04:12 2014 +0100

    Remove obsolete check of conn and lchan pointers not beeing NULL
    
    The check is removed from gsm48_cc_rx_setup() and gsm48_cc_rx_call_conf().
    Receiving a layer 3 message implies that the transaction has a subscriber
    connection and a logical channel.
    
    This patch fixes the Coverity issues with CID 115311 and CID 1155312.

-----------------------------------------------------------------------

Summary of changes:
 openbsc/src/libmsc/gsm_04_08.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

hooks/post-receive
-- 
The OpenBSC GSM Base Station Controller (+MSC/HLR/SGSN)